Package org.zkoss.zk.ui.event

## Class ScriptErrorEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.ScriptErrorEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ScriptErrorEvent
      extends Event

  A script error event used with `onScriptError` When using Clients.evalJavascript and any javascript error event happened, user can handle the error in the server side.
  Since:
    9.6.0
  Author:
    jameschu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptErrorEvent​(java.lang.String name, Component target, java.lang.String message, java.lang.String stack)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage()` |
    `static ScriptErrorEvent` | `getScriptErrorEvent​(AuRequest request)` | Converts an AU request to a script error event.
    `java.lang.String` | `getStack()` |

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptErrorEvent

          public ScriptErrorEvent​(java.lang.String name,
                                  Component target,
                                  java.lang.String message,
                                  java.lang.String stack)

  - ### Method Detail

    - #### getScriptErrorEvent

          public static final ScriptErrorEvent getScriptErrorEvent​(AuRequest request)

      Converts an AU request to a script error event.

    - #### getStack

          public java.lang.String getStack()

    - #### getMessage

          public java.lang.String getMessage()